Bug 182269 - .Fx warning in make(1) (bmake)
Summary: .Fx warning in make(1) (bmake)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-21 02:10 UTC by Enji Cooper
Modified: 2014-12-27 16:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2013-09-21 02:10:00 UTC
$ man make >/dev/null
mdoc warning: .Fx: Unknown FreeBSD version `9' (#733)

How-To-Repeat: cd /usr/src/usr.bin/bmake
make obj
make depend all install
man make 2>/dev/null

as root.
Comment 1 Enji Cooper freebsd_committer 2013-09-21 06:05:29 UTC
Here's the patch -- thanks!

$ git diff HEAD^..HEAD
diff --git a/contrib/bmake/make.1 b/contrib/bmake/make.1
index c4b647d..ce76826 100644
--- a/contrib/bmake/make.1
+++ b/contrib/bmake/make.1
@@ -729,8 +729,8 @@ even if the target is not tagged with
 .Ic .MAKE
 The default is
 .Ql Pa yes
-for backwards compatability with
-.Fx 9
+for backwards compatibility with
+.Fx 9.0
 and earlier.
 .It Va .MAKE.DEPENDFILE
 Names the makefile (default
Comment 2 dfilter service freebsd_committer 2013-09-27 18:42:42 UTC
Author: sjg
Date: Fri Sep 27 17:42:23 2013
New Revision: 255916
URL: http://svnweb.freebsd.org/changeset/base/255916

Log:
  Fix Fx syntax.
  
  PR: 182269
  Approved by: re@

Modified:
  head/contrib/bmake/make.1

Modified: head/contrib/bmake/make.1
==============================================================================
--- head/contrib/bmake/make.1	Fri Sep 27 16:02:40 2013	(r255915)
+++ head/contrib/bmake/make.1	Fri Sep 27 17:42:23 2013	(r255916)
@@ -730,7 +730,7 @@ even if the target is not tagged with
 The default is 
 .Ql Pa yes
 for backwards compatability with
-.Fx 9
+.Fx 9.0
 and earlier.
 .It Va .MAKE.DEPENDFILE
 Names the makefile (default
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 3 Christian Brueffer freebsd_committer 2014-02-04 23:12:47 UTC
State Changed
From-To: open->closed

Fixed in r255916 by sjg.  Thanks!
Comment 4 commit-hook freebsd_committer 2014-12-27 16:44:12 UTC
A commit references this bug:

Author: ngie
Date: Sat Dec 27 16:43:29 UTC 2014
New revision: 276305
URL: https://svnweb.freebsd.org/changeset/base/276305

Log:
  MFC bmake changes to stable/10 (r255285,r255916,r258113,r258114,r261212,r266760,r268437)

  Discussed with: sjg

  r255285:

    If MAKE_JOB_ERROR_TOKEN is set to false, do not put an error token ("E")
    into the job queue.
    This avoids closing down an entire build on failure of one branch.
    Probably has no use outside the context of universe/tinderbox.

    Reviewed by:	obrien

  r255916:

    Fix Fx syntax.

    PR: 182269
    Approved by: re@

  r258113:

    Avoid SEGV when passed NULL for list

  r258114:

    Don't SEGV when Hash_Table is uninitialized

  r261212:

    Merge bmake-20140101 from vendor

  r266760:

    Portmgr no longer need the UL hack.

    Reviewed by: obrien

  r268437:

    Update to bmake-20140620
    Main change is detection of malformed variable references.

    Reviewed by:	obrien

Changes:
_U  stable/10/
  stable/10/contrib/bmake/ChangeLog
  stable/10/contrib/bmake/Makefile
  stable/10/contrib/bmake/Makefile.config.in
  stable/10/contrib/bmake/README
  stable/10/contrib/bmake/bmake.1
  stable/10/contrib/bmake/bmake.cat1
  stable/10/contrib/bmake/boot-strap
  stable/10/contrib/bmake/bsd.after-import.mk
  stable/10/contrib/bmake/compat.c
  stable/10/contrib/bmake/config.h.in
  stable/10/contrib/bmake/configure
  stable/10/contrib/bmake/configure.in
  stable/10/contrib/bmake/hash.c
  stable/10/contrib/bmake/lst.lib/lstMember.c
  stable/10/contrib/bmake/main.c
  stable/10/contrib/bmake/make-bootstrap.sh.in
  stable/10/contrib/bmake/make.1
  stable/10/contrib/bmake/make.h
  stable/10/contrib/bmake/meta.c
  stable/10/contrib/bmake/mk/ChangeLog
  stable/10/contrib/bmake/mk/autodep.mk
  stable/10/contrib/bmake/mk/dirdeps.mk
  stable/10/contrib/bmake/mk/dpadd.mk
  stable/10/contrib/bmake/mk/gendirdeps.mk
  stable/10/contrib/bmake/mk/host-target.mk
  stable/10/contrib/bmake/mk/install-mk
  stable/10/contrib/bmake/mk/lib.mk
  stable/10/contrib/bmake/mk/meta.autodep.mk
  stable/10/contrib/bmake/mk/meta2deps.py
  stable/10/contrib/bmake/mk/meta2deps.sh
  stable/10/contrib/bmake/mk/options.mk
  stable/10/contrib/bmake/mk/rst2htm.mk
  stable/10/contrib/bmake/mk/sys/SunOS.mk
  stable/10/contrib/bmake/mk/sys.mk
  stable/10/contrib/bmake/mk/target-flags.mk
  stable/10/contrib/bmake/mk/warnings.mk
  stable/10/contrib/bmake/os.sh
  stable/10/contrib/bmake/parse.c
  stable/10/contrib/bmake/str.c
  stable/10/contrib/bmake/util.c
  stable/10/contrib/bmake/var.c
  stable/10/usr.bin/bmake/Makefile
  stable/10/usr.bin/bmake/Makefile.config
  stable/10/usr.bin/bmake/config.h